Bug 115798

Summary: [PATCH] devel/hptools: fix GCC 4.2 builds
Product: Ports & Packages Reporter: Hung-Yi Chen <gaod>
Component: Individual Port(s)Assignee: Jean-Yves Lefort <jylefort>
Status: Closed FIXED    
Severity: Affects Only Me CC: jylefort
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Hung-Yi Chen 2007-08-24 23:10:02 UTC
Fix build breakage under gcc 4.2

Fix: -static int     sp = 1;
+int    sp = 1;

 int getopt( int argc, char * const argv[], const char *opts )
 {





-static SYMBOLPTR symtree;
+SYMBOLPTR symtree;
 int lookups=0, lkcmps=0, adds=0;

 b_16 symbols;--TPM66OMqAr7O7fLIRN8l2mbU8U7nl1cOX9NlsN6wfKED2G3T
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -urN Hptools.orig/common/getopt.c Hptools/common/getopt.c
--- Hptools.orig/common/getopt.c        2002-12-06 08:57:35.000000000 +0800
+++ Hptools/common/getopt.c     2007-08-25 05:56:40.000000000 +0800
@@ -21,7 +21,7 @@
 int    optopt, opterr = TRUE, optind = 1;
 char   *optarg;
Comment 1 Edwin Groothuis freebsd_committer 2007-08-24 23:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-10-03 14:46:14 UTC
edwin       2007-10-03 13:46:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/hptools        Makefile 
  Added files:
    devel/hptools/files  p-common_getopt.c p-sload_symb.c 
  Log:
  [PATCH] devel/hptools: fix GCC 4.2 builds
  
          Fix build breakage under gcc 4.2
  
  PR:             ports/115798
  Submitted by:   Hung-Yi Chen <gaod@hychen.org>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.5       +8 -0      ports/devel/hptools/Makefile
  1.1       +11 -0     ports/devel/hptools/files/p-common_getopt.c (new)
  1.1       +11 -0     ports/devel/hptools/files/p-sload_symb.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Edwin Groothuis freebsd_committer 2007-10-03 14:46:16 UTC
State Changed
From-To: open->closed

Committed, thanks!